Package org.eclipse.wst.xsl.core

## org.eclipse.wst.xsl.core
Class ValidationPreferences

    public class ValidationPreferences
    extends java.lang.Object

Preference constants specific to the XSL validator.

## Field Summary

`public static java.lang.String` | `CALL_TEMPLATES` The level at which an unresolved called template is reported. <p> Value is one of <code>IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO</code> </p>
`public static java.lang.String` | `CIRCULAR_REF` The level at which an include/import circular references is reported. <p> Value is one of <code>IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO</code> </p>
`public static java.lang.String` | `DUPLICATE_PARAMETER` The level at which a duplicate parameter is reported. <p> Value is one of <code>IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO</code> </p>
`public static java.lang.String` | `EMPTY_PARAM` The level at which a parameter that does not have a default value and does not specify a value is reported. <p> Value is one of <code>IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO</code> </p>
`public static java.lang.String` | `MAX_ERRORS` The maximum number of errors allowed per XSL file. <p> Value is of type <code>Integer</code>. </p>
`public static java.lang.String` | `MISSING_INCLUDE` The level at which an unresolved import or included is reported. <p> Value is one of <code>IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO</code> </p>
`public static java.lang.String` | `MISSING_PARAM` The level at which a missing parameter is reported. <p> Value is one of <code>IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO</code> </p>
`public static java.lang.String` | `NAME_ATTRIBUTE_EMPTY` The level at which a parameter with an empty name attribute is reported. <p> Value is one of <code>IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO</code> </p>
`public static java.lang.String` | `NAME_ATTRIBUTE_MISSING` The level at which a parameter without a name attribute is reported. <p> Value is one of <code>IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO</code> </p>
`public static java.lang.String` | `TEMPLATE_CONFLICT` The level at which a template conflict is reported. <p> Value is one of <code>IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO</code> </p>
`public static java.lang.String` | `XPATHS` The level at which an invalid XPath is reported. <p> Value is one of <code>IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO</code> </p>

## Constructor Summary

`ValidationPreferences()`

## Method Summary

## Field Detail

## CALL_TEMPLATES

`public static java.lang.String CALL_TEMPLATES`

The level at which an unresolved called template is reported. Value is one of `IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO`

## CIRCULAR_REF

`public static java.lang.String CIRCULAR_REF`

The level at which an include/import circular references is reported. Value is one of `IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO`

## DUPLICATE_PARAMETER

`public static java.lang.String DUPLICATE_PARAMETER`

The level at which a duplicate parameter is reported. Value is one of `IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO`

## EMPTY_PARAM

`public static java.lang.String EMPTY_PARAM`

The level at which a parameter that does not have a default value and does not specify a value is reported. Value is one of `IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO`

## MAX_ERRORS

`public static java.lang.String MAX_ERRORS`

The maximum number of errors allowed per XSL file. Value is of type `Integer`.

## MISSING_INCLUDE

`public static java.lang.String MISSING_INCLUDE`

The level at which an unresolved import or included is reported. Value is one of `IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO`

## MISSING_PARAM

`public static java.lang.String MISSING_PARAM`

The level at which a missing parameter is reported. Value is one of `IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO`

## NAME_ATTRIBUTE_EMPTY

`public static java.lang.String NAME_ATTRIBUTE_EMPTY`

The level at which a parameter with an empty name attribute is reported. Value is one of `IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO`

## NAME_ATTRIBUTE_MISSING

`public static java.lang.String NAME_ATTRIBUTE_MISSING`

The level at which a parameter without a name attribute is reported. Value is one of `IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO`

## TEMPLATE_CONFLICT

`public static java.lang.String TEMPLATE_CONFLICT`

The level at which a template conflict is reported. Value is one of `IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO`

## XPATHS

`public static java.lang.String XPATHS`

The level at which an invalid XPath is reported. Value is one of `IMarker.SEVERITY_ERROR, IMarker.SEVERITY_WARNING, IMarker.SEVERITY_INFO`

## Constructor Detail

## ValidationPreferences

`public ValidationPreferences()`